## Program resources Program resources — Application resource management |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/resources.h>

    GtkWidget*          anjuta_res_lookup_widget            (GtkWidget *widget,
                                                             const gchar *widget_name);
    GtkWidget*          anjuta_res_get_image                (const gchar *filename);
    GtkWidget*          anjuta_res_get_image_sized          (const gchar *filename,
                                                             gint width,
                                                             gint height);
    gchar*              anjuta_res_get_pixmap_dir           (void);
    gchar*              anjuta_res_get_data_dir             (void);
    gchar*              anjuta_res_get_help_dir             (void);
    gchar*              anjuta_res_get_help_dir_locale      (const gchar *locale);
    gchar*              anjuta_res_get_doc_dir              (void);
    gchar*              anjuta_res_get_pixmap_file          (const gchar *pixfile);
    gchar*              anjuta_res_get_data_file            (const gchar *pixfile);
    gchar*              anjuta_res_get_help_file            (const gchar *helpfile);
    gchar*              anjuta_res_get_help_file_locale     (const gchar *helpfile,
                                                             const gchar *locale);
    gchar*              anjuta_res_get_doc_file             (const gchar *docfile);
    void                anjuta_res_help_search              (const gchar *word);
    void                anjuta_res_url_show                 (const char *url);

## Description

## Details

### anjuta_res_lookup_widget ()

    GtkWidget*          anjuta_res_lookup_widget            (GtkWidget *widget,
                                                             const gchar *widget_name);

`widget` : |
`widget_name` : |
Returns : |

### anjuta_res_get_image ()

    GtkWidget*          anjuta_res_get_image                (const gchar *filename);

`filename` : |
Returns : |

### anjuta_res_get_image_sized ()

    GtkWidget*          anjuta_res_get_image_sized          (const gchar *filename,
                                                             gint width,
                                                             gint height);

`filename` : |
`width` : |
`height` : |
Returns : |

### anjuta_res_get_pixmap_dir ()

    gchar*              anjuta_res_get_pixmap_dir           (void);

Returns : |

### anjuta_res_get_data_dir ()

    gchar*              anjuta_res_get_data_dir             (void);

Returns : |

### anjuta_res_get_help_dir ()

    gchar*              anjuta_res_get_help_dir             (void);

Returns : |

### anjuta_res_get_help_dir_locale ()

    gchar*              anjuta_res_get_help_dir_locale      (const gchar *locale);

`locale` : |
Returns : |

### anjuta_res_get_doc_dir ()

    gchar*              anjuta_res_get_doc_dir              (void);

Returns : |

### anjuta_res_get_pixmap_file ()

    gchar*              anjuta_res_get_pixmap_file          (const gchar *pixfile);

`pixfile` : |
Returns : |

### anjuta_res_get_data_file ()

    gchar*              anjuta_res_get_data_file            (const gchar *pixfile);

`pixfile` : |
Returns : |

### anjuta_res_get_help_file ()

    gchar*              anjuta_res_get_help_file            (const gchar *helpfile);

`helpfile` : |
Returns : |

### anjuta_res_get_help_file_locale ()

    gchar*              anjuta_res_get_help_file_locale     (const gchar *helpfile,
                                                             const gchar *locale);

`helpfile` : |
`locale` : |
Returns : |

### anjuta_res_get_doc_file ()

    gchar*              anjuta_res_get_doc_file             (const gchar *docfile);

`docfile` : |
Returns : |

### anjuta_res_help_search ()

    void                anjuta_res_help_search              (const gchar *word);

`word` : |

### anjuta_res_url_show ()

    void                anjuta_res_url_show                 (const char *url);

`url` : |